/**
 * Copyright (C) 2024 bAvenir
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

html,
body {
  font-size: 14px;
  margin: 0px;
  padding: 0px;
}

body {
  @apply font-primary bg-primary-50;

  /* scrollbar theme overridden with below theme */

  ::-webkit-scrollbar {
    width: 6px;
    height: 6px;
  }

  /* Track */
  ::-webkit-scrollbar-track {
    @apply bg-transparent;
  }

  /* Handle, default i.e will not go below this dimensions */
  ::-webkit-scrollbar-thumb {
    @apply py-1;
    @apply bg-borderGrey;
    @apply rounded-sm;
    width: 100px;
    height: 100px;
  }

  ::-webkit-scrollbar-corner {
    @apply bg-transparent;
  }

  /* Thumb on hover */
  ::-webkit-scrollbar-thumb:hover {
    @apply bg-primary-200;
    @apply rounded-sm;
  }

  ::-webkit-scrollbar-track-piece:end {
    background: transparent;
    margin-bottom: 16px;
  }

  ::-webkit-scrollbar-track-piece:start {
    background: transparent;
    margin-top: 16px;
  }

  /* For mobile taps, remove blue tap */
  -webkit-tap-highlight-color: transparent;
}